# This file is generated by cargo2rulesmk.py --run --config cargo2rulesmk.json.
# Do not modify this file as changes will be overridden on upgrade.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := zerocopy
MODULE_SRCS := \
	$(LOCAL_DIR)/src/lib.rs \

MODULE_RUST_EDITION := 2018
MODULE_RUSTFLAGS += \
	--cfg 'feature="alloc"' \
	--cfg 'feature="byteorder"' \
	--cfg 'feature="default"' \
	--cfg 'feature="derive"' \
	--cfg 'feature="zerocopy-derive"' \

MODULE_LIBRARY_DEPS := \
	trusty/user/base/lib/liballoc-rust \
	external/rust/crates/byteorder \
	external/rust/crates/zerocopy-derive \

include make/library.mk
